rte_crypto_ml_kem_decap_op(3)

NAME
rte_crypto_ml_kem_decap_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param cipher
rte_crypto_param dk
rte_crypto_param sk

Detailed Description

PQC ML-KEM DECAP op

Parameters for PQC ML-KEM decapsulation operation

Definition at line 887 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param cipher
The cipher to be decapsulated.

Definition at line 888 of file rte_crypto_asym.h.

  rte_crypto_param dk
The decapsulation key.

Definition at line 891 of file rte_crypto_asym.h.

  rte_crypto_param sk
Pointer to output data

•   The computed shared secret key (32 bytes).

Definition at line 894 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.